<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.0" xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd">
  <persistence-unit name="enginePU" transaction-type="RESOURCE_LOCAL">
    <provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>
    <class>entities.User</class>
    <class>entities.Trip</class>
    <class>entities.Mensaje</class>
    <class>entities.Waypoint</class>
    <class>entities.Privado</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
    <properties>
      <property name="javax.persistence.jdbc.user" value="root"/>
      <property name="javax.persistence.jdbc.password" value=""/>
      <property name="javax.persistence.jdbc.driver" value="com.mysql.jdbc.Driver"/>
      <property name="javax.persistence.jdbc.url" value="jdbc:mysql://localhost:3306/engine"/>
      <property name="dialect" value="org.hibernate.dialect.MySQLDialect"/>
      <property name="eclipselink.logging.level" value="INFO"/>
      <property name="eclipselink.cache.size.default" value="5000"/>
      <property name="eclipselink.jdbc.connections.initial" value="8"/>
      <property name="eclipselink.jdbc.connections.min" value="8"/>
      <property name="eclipselink.jdbc.connections.max" value="8"/>
    </properties>
  </persistence-unit>
</persistence>
